The specified version was not found

Mar 17, 2010 at 12:15 PM
Edited Mar 17, 2010 at 12:33 PM

following software is installed:

vmware workstation 7.0.1 build-227600  trialversion (waiting in my company for a license)

vmware vix 1.8.1.10141

tried VMWareTasks 1.4 and 1.5 (beta), same problem.

if i run a C#-program (written under VisualStudio 2005 SP1) , i get the following errormessage: "The specified version was not found"

i looked into vmware-vixWrapper*.log and found this:

Mar 17 12:54:03.953: app-5196| Log for VixWrapper pid=6436 version=1 build=build-227600 option=Release
Mar 17 12:54:03.953: app-5196| The process is 32-bit.
Mar 17 12:54:03.953: app-5196| Host codepage=windows-1252 encoding=windows-1252
Mar 17 12:54:03.953: app-5196| config points to non-existent implementation library 'C:\Program Files\VMware\VMware VIX\\ws_server_esx-4\32bit\vix.dll'
Mar 17 12:54:03.953: app-5196| config points to non-existent implementation library 'C:\Program Files\VMware\VMware VIX\\ws_server_esx-4\32bit\vix.dll'
Mar 17 12:54:03.953: app-5196| config points to non-existent implementation library 'C:\Program Files\VMware\VMware VIX\\ws_server_esx-4\32bit\vix.dll'
Mar 17 12:54:03.953: app-5196| config points to non-existent implementation library 'C:\Program Files\VMware\VMware VIX\\ws_server_esx-4\32bit\vix.dll'
Mar 17 12:54:03.953: app-5196| Workstation installed version is 7.0.1
Mar 17 12:54:03.953: app-5196| No implementation found for service provider 3, apiVersion -1 installedVersion 7.0.1
Mar 17 12:54:03.953: app-5196| No Vix library found for provider 3 revision -1
Mar 17 12:54:03.953: app-5196| No implementation libraries loaded, cannot call 'Vix_GetErrorText'

How can i solve it ?

 

regards

Heike

 

Mar 17, 2010 at 1:21 PM

i solved it. Problem was, that Vix 1.8.1  not includes newest Workstation-version 7.0.1. (only includes 7.0.0).

so i made a copy of entry in vix for workstation 7.0.0 and added in file vixwrapper-config.txt an entry for newest workstation-version and it works now.